import React, {useState} from 'react';
import Stepper from 'react-native-stepper-ui';
import {View, Alert, Text} from 'react-native';
const MyComponent = props => {
  return (
    <View>
      <Text>{props.title}</Text>
    </View>
  );
};
const content = [
  <MyComponent title="Component 1" />,
  <MyComponent title="Component 2" />,
  <MyComponent title="Component 3" />,
];
const App = () => {
  const [active, setActive] = useState(0);
  return (
    <View style={{marginVertical: 80, marginHorizontal: 20}}>
      <Stepper
        active={active}
        content={content}
        onNext={() => setActive(p => p + 1)}
        onBack={() => setActive(p => p - 1)}
        onFinish={() => Alert.alert('Finish')}
      />
    </View>
  );
};

export default App;
